Page MenuHomePhabricator

Deploy Commons-specific configuration for cross-wiki upload dialog
Closed, ResolvedPublic

Description

After we remove all the hardcoded Commons-specific bits in core per T121632: Make ForeignStructuredUpload actually configurable, we'll need to deploy the same configuration for Commons. This patch is for tracking what needs to be done (and for future reference).

Event Timeline

matmarex created this task.May 9 2016, 3:47 PM
Restricted Application added subscribers: Zppix, Steinsplitter, Aklapper. · View Herald TranscriptMay 9 2016, 3:47 PM

Before deployment:

  • Move messages to WikimediaMessages
  • Write $wgUploadDialog configuration
  • Make sure that old and new code can coexist (with our rolling deployment), or do backports if not

After deployment:

  • Verify that it still works and that T120998 is fixed
  • Document our configuration at https://www.mediawiki.org/wiki/Upload_dialog (that page could also use updated screenshots)
  • Notify Commons community how this works now and which messages can be edited on-wiki (but should be edited on Translatewiki)

Change 287925 had a related patch set uploaded (by Bartosz Dziewoński):
Move Commons-specific localisation messages for upload dialog from core

https://gerrit.wikimedia.org/r/287925

Change 287959 had a related patch set uploaded (by Bartosz Dziewoński):
Prepare Commons configuration for $wgUploadDialog

https://gerrit.wikimedia.org/r/287959

Change 287925 merged by jenkins-bot:
Move Commons-specific localisation messages for upload dialog from core

https://gerrit.wikimedia.org/r/287925

Change 287959 merged by jenkins-bot:
Prepare Commons configuration for $wgUploadDialog

https://gerrit.wikimedia.org/r/287959

Change 289104 had a related patch set uploaded (by Bartosz Dziewoński):
Add missing translations for upload dialog messages

https://gerrit.wikimedia.org/r/289104

Change 289104 merged by jenkins-bot:
Add missing translations for upload dialog messages

https://gerrit.wikimedia.org/r/289104

Change 289109 had a related patch set uploaded (by Bartosz Dziewoński):
Final Commons configuration for $wgUploadDialog

https://gerrit.wikimedia.org/r/289109

Before deployment:

  • Move messages to WikimediaMessages

Done with https://gerrit.wikimedia.org/r/287925 + https://gerrit.wikimedia.org/r/289104.

  • Write $wgUploadDialog configuration

Done with https://gerrit.wikimedia.org/r/287959.

  • Make sure that old and new code can coexist (with our rolling deployment), or do backports if not

Yup. We needed to include the new message config for all wikis temporarily (see patch above), https://gerrit.wikimedia.org/r/289109 removes this hack.

matmarex triaged this task as High priority.May 17 2016, 3:46 AM

Everything seems to have went well during the wmf.2 rollout, and every wiki is on wmf.2 now and looking fine. I scheduled the final patch for deployment.

Docs were updated a couple days ago: https://www.mediawiki.org/wiki/Upload_dialog https://www.mediawiki.org/wiki/Manual:$wgUploadDialog

Change 289109 merged by jenkins-bot:
Final Commons configuration for $wgUploadDialog

https://gerrit.wikimedia.org/r/289109

Change 290259 had a related patch set uploaded (by Bartosz Dziewoński):
Final Commons configuration for $wgUploadDialog

https://gerrit.wikimedia.org/r/290259

Change 290259 merged by jenkins-bot:
Final Commons configuration for $wgUploadDialog

https://gerrit.wikimedia.org/r/290259

Final patch was deployed as https://gerrit.wikimedia.org/r/290259 (there was a small bug in https://gerrit.wikimedia.org/r/289109 that everyone missed until it was noticed in error logs).

matmarex closed this task as Resolved.May 23 2016, 4:08 PM
matmarex added a project: Multimedia.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptMay 23 2016, 4:08 PM